> For the complete documentation index, see [llms.txt](https://integracao.gitbook.io/invoisys/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integracao.gitbook.io/invoisys/endpoints/outras-consultas/enumeradores/api-tipo-de-ambiente.md).

# API - Tipo de Ambiente

## API - Tipo de Ambiente

<mark style="color:blue;">`GET`</mark> `https://sandbox-api.invoisys.com.br/api/enums/bandeira_cartao`

Obtém uma lista de tipos de ambiente

#### Headers

| Name          | Type   | Description                          |
| ------------- | ------ | ------------------------------------ |
| Content-type  | string | `application/x-www-form-urlencode​d` |
| Accept        | string | `application/js​on`                  |
| Authorization | string | `bearer <valor​>`                    |

{% tabs %}
{% tab title="200 " %}

```javascript
[
  {
    "key": 1,
    "value": "Produção"
  },
  {
    "key": 2,
    "value": "Homologação"
  }
]
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}

#### Swagger

[Você poderá acessar a nossa API e o seu respectivo modelo de envio em nossa plataforma Swagger!](https://sandbox-api.invoisys.com.br/swagger/ui/index#!/Enums/Enums_GetAllTipoDeAmbiente)
{% endhint %}

## APIs Relacionadas 🎈

* [Envio da NF-e](/invoisys/endpoints/emissao-notas/nf-e/api-envio.md)
* [Envio Normal Híbrida da NFC-e](/invoisys/endpoints/emissao-notas/nfc-e-1/api-envio-normal-hibrido-da-nfc-e.md)
* [Envio Normal Completo da NFC-e](/invoisys/endpoints/emissao-notas/nfc-e-1/api-envio-normal-completo-da-nfc-e.md)
* [Envio Contingência Híbrida da NFC-e](/invoisys/endpoints/emissao-notas/nfc-e-1/api-envio-contingencia-hibrida-da-nfc-e.md)
* [Envio Contingência Híbrida da NFC-e](/invoisys/endpoints/emissao-notas/nfc-e-1/api-envio-contingencia-hibrida-da-nfc-e.md)
* [Envio Completo do RPS](/invoisys/endpoints/emissao-notas/nfs-e-1/api-envio-completo-do-rps-1.md)
* [Envio Híbrido do RPS](/invoisys/endpoints/emissao-notas/nfs-e-1/api-envio-hibrido-do-rps.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integracao.gitbook.io/invoisys/endpoints/outras-consultas/enumeradores/api-tipo-de-ambiente.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
